summaryrefslogtreecommitdiff
path: root/tests/tests/build-modes-source
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2018-08-26 12:18:59 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2018-08-26 13:32:43 +0100
commit62c6ca3964bfa05fbfc50ee70df0e7ad53eba282 (patch)
tree48285982907266c3fea3737240545dc617f76d9d /tests/tests/build-modes-source
parent65bfecf7405f3e37c25222b7f16e38edce81b5fa (diff)
test suite: break out build-modes-source
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/tests/build-modes-source')
-rwxr-xr-xtests/tests/build-modes-source17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/tests/build-modes-source b/tests/tests/build-modes-source
new file mode 100755
index 0000000..480e573
--- /dev/null
+++ b/tests/tests/build-modes-source
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-build-modes
+
+bm-prep
+
+for act in \
+ build-source \
+; do
+ bm-guess-e-source-e-targets "$act"
+ cleanmodes="$cleanmodes_all"
+ real_act="$act"
+ bm-act-iterate
+done
+
+t-ok